Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 2824803003: Add timeout task to U2F HID state machine (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 1 week ago by Casey Piper
Modified:
1 month, 1 week ago
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add timeout task to U2F HID state machine Setup timeout tasks for any calls to HID layer. If a particular device hangs or the OS does not respond in a timely manner, continue trying other devices. BUG=697282 Review-Url: https://codereview.chromium.org/2824803003 Cr-Commit-Position: refs/heads/master@{#465072} Committed: https://chromium.googlesource.com/chromium/src/+/bdce3ee117af8ea68331c572dbaa877b8d4fdcf6

Patch Set 1 #

Total comments: 12

Patch Set 2 : Create ArmTimeout function #

Total comments: 6

Patch Set 3 : Fix nits #

Messages

Total messages: 17 (10 generated)
Casey Piper
Hey Reilly, can you take a look? Thanks!
1 month, 1 week ago (2017-04-17 22:11:28 UTC) #3
Reilly Grant
https://codereview.chromium.org/2824803003/diff/1/device/u2f/u2f_hid_device.cc File device/u2f/u2f_hid_device.cc (right): https://codereview.chromium.org/2824803003/diff/1/device/u2f/u2f_hid_device.cc#newcode53 device/u2f/u2f_hid_device.cc:53: // Setup timeout task for 3 seconds Set up ...
1 month, 1 week ago (2017-04-17 22:25:17 UTC) #4
Casey Piper
https://codereview.chromium.org/2824803003/diff/1/device/u2f/u2f_hid_device.cc File device/u2f/u2f_hid_device.cc (right): https://codereview.chromium.org/2824803003/diff/1/device/u2f/u2f_hid_device.cc#newcode53 device/u2f/u2f_hid_device.cc:53: // Setup timeout task for 3 seconds On 2017/04/17 ...
1 month, 1 week ago (2017-04-17 23:02:39 UTC) #5
Reilly Grant
lgtm with nits https://codereview.chromium.org/2824803003/diff/20001/device/u2f/u2f_hid_device.cc File device/u2f/u2f_hid_device.cc (right): https://codereview.chromium.org/2824803003/diff/20001/device/u2f/u2f_hid_device.cc#newcode51 device/u2f/u2f_hid_device.cc:51: } nit: braces unnecessary https://codereview.chromium.org/2824803003/diff/20001/device/u2f/u2f_hid_device.cc#newcode57 device/u2f/u2f_hid_device.cc:57: ...
1 month, 1 week ago (2017-04-17 23:31:05 UTC) #6
piperc
https://codereview.chromium.org/2824803003/diff/20001/device/u2f/u2f_hid_device.cc File device/u2f/u2f_hid_device.cc (right): https://codereview.chromium.org/2824803003/diff/20001/device/u2f/u2f_hid_device.cc#newcode51 device/u2f/u2f_hid_device.cc:51: } On 2017/04/17 23:31:05, Reilly Grant wrote: > nit: ...
1 month, 1 week ago (2017-04-17 23:43:59 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2824803003/40001
1 month, 1 week ago (2017-04-18 00:06:47 UTC) #14
commit-bot: I haz the power
1 month, 1 week ago (2017-04-18 00:14:20 UTC) #17
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/bdce3ee117af8ea68331c572dbaa...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06